Ricardo SIGNES > Task-BeLike-RJBS > Task::BeLike::RJBS

Download:
Task-BeLike-RJBS-20131116.000.tar.gz

Dependencies

Annotate this POD

Website

View/Report Bugs
Module Version: 20131116.000   Source  

NAME ^

Task::BeLike::RJBS - be more like RJBS -- use the modules he likes!

VERSION ^

version 20131116.000

TASK CONTENTS ^

Perl for Perl's Sake

perl 5.014

Version 5.014 required because: gotta have my "package NAME BLOCK"

App::grindperl

Useful Command-Line Tools

App::Ack 1.82

Version 1.82 required because: a working --pager

App::Nopaste 0.34

Version 0.34 required because: Gist support via Gist API v3

App::Whiff

App::Whiff provides whiff, which replaces which, because which is stupid.

App::Uni

This gets us the "uni" command, which lets you run "uni snowman" to copy and paste the character and look funny on IRC.

File::Rename

This lets me rename a bunch of files by apply a s/// expression, or more.

Unicode::Tussle

This is a whole bunch of extra utilities for poking through Unicode data. It's all cool stuff.

Tools for Working with the CPAN

perl 5.14.0

Version 5.14.0 required because: it has package NAME BLOCK

App::cpanminus 1.1002

Version 1.1002 required because: it has --auto-cleanup

App::cpanoutdated 0.12

Version 0.12 required because: it won't install old dists

CPAN::Mini 0.563

Module::Which

I use which_pm to find the version and location of installed modules, even if two versions are installed in different parts of @INC.

Pod::Cpandoc

It's like perldoc, but for stuff you haven't installed (yet?).

Tools for Building CPAN Distributions

Dist::Zilla 5

Version 5 required because: encoding!

Dist::Zilla::PluginBundle::RJBS 1.012

Version 1.012 required because: newest available

Module::CoreList 2.68

Version 2.68 required because: newest available

Perl::Tidy 20071205

Version 20071205 required because: supports 5.10

Pod::Weaver 4

Version 4 required because: encoding!

Application Frameworks

App::Cmd 0.308

Version 0.308 required because: it has App::Cmd::Setup bugfixes

App::Cmd also gets us Getopt::Long::Descriptive.

Email-Handling Libraries

Email::Filter 1.02

Version 1.02 required because: I still use it, for lack of something better

Email::MIME 1.905

Version 1.905 required because: merged in Creator and Modifier modules; bug fixes

Email::Sender

Email::Sender::Transport::SQLite

Other Libraries I Use

Carp::Always

Config::INI 0.011

DBD::SQLite

Data::GUID 0.044

Version 0.044 required because: requires a new enough Data::UUID to work around Debian

DateTime 0.51

Version 0.51 required because: provides CLDR support with fewest known bugs

Devel::Cover

Devel::NYTProf

HTML::Element 3.22

Version 3.22 required because: has proper XML escaping

JSON 2.12

Version 2.12 required because: fixes unicode handling from ASCII JSON

List::AllUtils

Log::Dispatchouli 2.000

Version 2.000 required because: it has Log::Dispatchouli::Global

Moose 1.19

Version 1.19 required because: it has assert_coerce

MooseX::StrictConstructor

All constructors must be strict!

namespace::autoclean

PPI 1.212

Version 1.212 required because: fixes parsing of package names with leading-digit parts

Params::Util 0.38

Version 0.38 required because: has fixes to _IDENTIFIER and _CLASS

Plack

Scalar::Util 1.18

Sub::Exporter 0.980

Version 0.980 required because: INIT collector; bug fixes

Term::ReadLine::Gnu 1

Version 1 required because: improves the debugger

Text::Markdown 1.0.24

Version 1.0.24 required because: has trust_list_start

Throwable 0.102080

Version 0.102080 required because: StackTrace::Auto factored out

Throwable::X

Try::Tiny 0.007

Version 0.007 required because: exception passed to finally

Sanity-Check

These are just here to make sure other things work properly.

Mozilla::CA

Crypt::SSLeay

LWP::Protocol::https

IO::Socket::SSL

Config::GitLike

AUTHOR ^

Ricardo Signes <rjbs@cpan.org>

COPYRIGHT AND LICENSE ^

This software is copyright (c) 2013 by Ricardo Signes.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.

syntax highlighting: